# Note this is NOT a relocatable thing :)

Name:		evolution
Summary:	Integrated GNOME mail client, calendar and address book.
Version: 	0.13
Release:	3mdk
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}-%{version}.tar.bz2
Source2:	evolution_48.xpm.bz2
Source3:	evolution_32.xpm.bz2
Source4:	evolution_16.xpm.bz2
Source5:    evolution-0.10-gnome-pilot.m4.bz2
# evolution need a specific version of db3
Source6:	db-3.1.17.tar.bz2
# (fc) 0.13-1mdk fix detection of kerberos 4
Patch0:		evolution-0.13-kerberos4.patch.bz2
# (fc) 0.13-2mdk fix i18n (GNOME cvs)
Patch1:		evolution-0.13-i18n.patch.bz2
# (fc) 0.13-3mdk fix bug 4991 (Ximian 9419)
Patch2:		evolution-0.13-replycard.patch.bz2
# (fc) 0.13-3mdk fix compilation with gnome-vfs
Patch3:		evolution-0.13-vfs.patch.bz2
URL: 		http://www.ximian.com/products/ximian_evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires: bonobo >= 1.0.3
# (fc) 0.8-5mdk implicit dependency is not enough
Requires: gnome-vfs >= 1.0
Requires: bonobo-conf >= 0.7
Requires: gtkhtml >= 0.12.0
Requires: gnome-spell
Requires: bug-buddy
Requires: gnupg
Requires: scrollkeeper
Requires: liboaf0 >= 0.6.6-1mdk
Provides: camel
BuildRequires: libbonobo2-devel, libglade-devel, libunicode0-devel
BuildRequires: libgnome-vfs0-devel, libgtkhtml15-devel libgnomeprint15-devel gtkhtml >= 0.12.0
BuildRequires: libgal11-devel
BuildRequires: gnome-pilot-devel >= 0.1.61
BuildRequires: libldap2-devel libGConf1-devel liboaf0-devel
BuildRequires: libnspr4-devel libnss3-devel libbonobo-conf0-devel >= 0.7
BuildRequires: krb5-devel

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool. 
%package devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Provides: camel-devel
%description devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%package pilot
Summary:	Evolution conduits for gnome-pilot
Group:		Communications
Requires:	%{name} = %{version}
Requires: gnome-pilot >= 0.1.61

%description pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to 
synchronize your Palm with Evolution


%prep
%setup -q
%patch0 -p1 -b .krb4
%patch1 -p1 -b .i18n
%patch2 -p1 -b .reply
%patch3 -p1 -b .vfs

# needed by latest libtool 
rm -f ltconfig ltmain.sh
libtoolize --force --copy
bzcat %{SOURCE5} > macros/gnome-pilot.m4
aclocal -I macros
autoconf 
(cd libical ; aclocal ; autoconf)

#needed by patch0 and 1 & 3
automake

# install db3 in separate directory
(cd .. ; rm -rf db-3.1.17 ; bzcat %{SOURCE6} | tar xf - )

%build

# first build db3
(cd ../db-3.1.17/dist
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$PWD/../prefix
%make
make install
)

%configure --with-nspr-includes=%{_includedir}/nspr --with-nss-includes=%{_includedir}/nss3 \
--with-db3=$PWD/../db-3.1.17/prefix --enable-file-locking=no \
--with-krb5=%{_prefix} --with-krb4=%{_prefix} --enable-pilot-conduits=yes \
--with-openldap=yes --with-static-ldap=no

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}  $RPM_BUILD_ROOT%{_liconsdir}  $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_liconsdir}/evolution.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/evolution.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_miconsdir}/evolution.xpm
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/evolution" \
	icon="evolution.xpm" \
	needs="X11" \
	section="Networking/Mail" \
	title="Evolution" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool"
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config/Gnome
[URL Handlers]
mailto-show=evolution "%s"
EOF

%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
rm -rf db-3.1.17


%post
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{update_menus}
  
%postun
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/gnome/config/*
%{_bindir}/*
%attr(2755,root,mail) %{_sbindir}/camel-lock-helper
%{_libdir}/*.so.*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/camel-providers
%dir %{_libdir}/evolution/camel-providers/%{version}
%dir %{_libdir}/evolution/evolution-mail-importers
%dir %{_libdir}/evolution/evolution-mail-importers/%{version}
%{_libdir}/evolution/camel-providers/*/*.so*
%{_libdir}/evolution/camel-providers/*/*.urls
%{_libdir}/evolution/evolution-mail-importers/*/*.so*
%{_datadir}/gnome/help/evolution
%{_datadir}/gnome/help/cal
%{_datadir}/gnome/apps/*/*
%{_datadir}/gnome/ui/*.xml
%{_datadir}/evolution
%{_datadir}/idl/*.idl
%{_datadir}/oaf/*
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%dir %{_datadir}/images
%{_datadir}/images/evolution
%{_datadir}/libical
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_menudir}/%{name}
%{_datadir}/omf/*

%files devel

%defattr(-, root, root)
%{_libdir}/libca*.a
%{_libdir}/libca*.so
%{_libdir}/libca*.la
%{_libdir}/libe*.a
%{_libdir}/libe*.so
%{_libdir}/libe*.la
%{_libdir}/evolution/camel-providers/*/*.a
%{_libdir}/evolution/camel-providers/*/*.la
%{_libdir}/evolution/evolution-mail-importers/*/*.la
%{_libdir}/evolution/evolution-mail-importers/*/*.a
%{_includedir}/*.h
%{_includedir}/camel
%{_includedir}/ename
%{_includedir}/evolution
%{_datadir}/gnome/html/*


%files pilot
%defattr(-, root, root)
%{_libdir}/gnome-pilot/conduits/*.so
%{_datadir}/gnome-pilot/conduits/*

%changelog
* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-3mdk
- Patch 3: Fix compilation with latest gnome-vfs
- Patch 2: Fix bug 4991 (duplicate of ximian bug 9419)

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-2mdk
- Explicit dependency on oaf to prevent problem 
- Fix i18n problems (from GNOME cvs)

* Fri Sep  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13
- Register Evolution as GNOME mail handler
- Patch0: Compiled with kerebos support
- Enable pilot conduits

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12
- Remove patch0 (merged upstream)

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-2mdk
- Disable file locking => should correct evolution over nfs problem

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11
- Remove patch 5 & 6 (merged upstream)
- Regenerate patch 0
- Remove movemail, no longer needed

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-2mdk
- Enable ssl
- Patch6: recompiled against latest gtkhtml/gal

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- Remove patch 3 (merged upstream)
- Upgrade build requirement to openldap 2, libgal6
- Prepare build with ssl (not enabled yet since it crash)

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Patch 5 : enable activating gpg support by default

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-4mdk
- Update patch 0 to allow importing mailbox

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Correct dependencies and build dependencies

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Compiled with ldap support
- Patch 0 : initialize gconf before gtkhtml
- Patch 4 : correct addressbook #define
- Don't generate pilot conduits, since we don't have a working abs sync conduit

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9
- Remove patches 1 & 2

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-9mdk
- patch 2 to compile with latest version of gal
- Update patch 0 again
- Rebuilt against latest gnome-vfs and gnome-print

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-8mdk
- Update patch 0 to correct addressbook crashes

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-7mdk
- Rebuild against gtkhtml 0.8.2

* Thu Jan 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-6mdk
- add movemail program (extract from Emacs) and remove setgid on evolution-mail

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-5mdk
- Add explicit dependency on gnome-vfs

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Change group/perms for evolution-mail to be able to access mail spool mbox

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- patch to compile with last bonobo
- Recompile since gtkhtml now use gconf

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Really remove dependency on old libstdc++

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6-2mdk
- simple rebuild (new libstdc++)

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Disable LDAP (OpenLDAP 2.0 not supported yet)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- add missing icons

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5 (+ merge from Helix 0mdk_helix_1)

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1 (merge from Helix 0_helix_1)
- no longer conflict with gnome-pim

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- add dependency on gnome-vfs
- add menu entry

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1
- first mandrake package : BM + macroszification
- Build without GConf

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file
